import request from '@/utils/request'

// 查询规格列表
export function listRule(query) {
  return request({
    url: '/product/rule/list',
    method: 'get',
    params: query
  })
}

// 查询规格详细
export function getRule(id) {
  return request({
    url: '/product/rule/' + id,
    method: 'get'
  })
}

// 新增规格
export function addRule(data) {
  return request({
    url: '/product/rule',
    method: 'post',
    data: data
  })
}


// 修改规格
export function updateRule(data) {
  return request({
    url: '/product/rule',
    method: 'put',
    data: data
  })
}

// 删除规格
export function delRule(id) {
  return request({
    url: '/product/rule/' + id,
    method: 'delete'
  })
}
